Page MenuHomePhabricator

"Wiki checks did not pass"
Closed, ResolvedPublic

Description

"Make sure that you are logged in or contact an administrator in order to be granted permission to view this page (You are not a member of the, gwtoolset, group.)."

Administrators may or may not be able to grant that right.

Error is pretty vague. Should probably tell them what the problem is...

"(You are not a member of the, gwtoolset, group.)" -> "(You are not a member of the gwtoolset group.)"

Though, that's still not always right.

Almost looks like the wheel has been re-invented on Special:GWToolset


Version: master
Severity: minor

Details

Reference
bz58598

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:29 AM
bzimport set Reference to bz58598.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Dec 17 2013, 9:27 PM
Reedy added a comment.Dec 17 2013, 9:30 PM

(In reply to comment #0)

"(You are not a member of the, gwtoolset, group.)" -> "(You are not a member
of
the gwtoolset group.)"
Though, that's still not always right.

The problem is that they don't have the gwtoolset RIGHT, not the GROUP

Change 102814 had a related patch set uploaded by Dan-nl:
correcting gwtoolset permission check

https://gerrit.wikimedia.org/r/102814

Change 102814 merged by Dan-nl:
correcting gwtoolset permission check

https://gerrit.wikimedia.org/r/102814

dan-nl added a comment.Jan 8 2014, 8:42 PM

sam,

the patch has been merged into the master branch and deployed to Commons.
you can see the results when you are not logged into commons and go to
http://commons.wikimedia.org/wiki/Special:GWToolset.

please close this ticket if you’re satisfied with the results. if not, please
indicate what else needs to be addressed.

This bug appears to have been fixed; at least, the error message has changed to fit the usual standard ("You do not have permission to use GWToolset, for the following reason: The action you have requested is limited to users in the group: GWToolset users.).

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:33 AM